package kr.co.vividnext.sodalive.admin.calculate

data class GetCalculateLiveResponse(
    val email: String,
    val nickname: String,
    val date: String,
    val title: String,
    // 유료방 입장 금액
    val entranceFee: Int,
    // 캔 사용 구분
    val canUsageStr: String,
    // 인원
    val numberOfPeople: Int,
    // 합계
    val totalAmount: Int,
    // 원화
    val totalKrw: Int,
    // 결제수수료
    val paymentFee: Int,
    // 정산금액
    val settlementAmount: Int,
    // 원천세(세금 3.3%)
    val tax: Int,
    // 입금액
    val depositAmount: Int
)
