package kr.co.vividnext.sodalive.can.charge.free

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.member.Member
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.ManyToOne

@Entity
data class AdsCharge(
    val transactionKey: String,
    val adKey: String,
    val adName: String,
    val adProfit: Float,
    val adCurrency: String,
    val point: Float,
    val deviceIfa: String
) : BaseEntity() {
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "member_id", nullable = false)
    var member: Member? = null
}
