package kr.co.vividnext.sodalive.content

import kr.co.vividnext.sodalive.common.BaseEntity
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.ManyToOne
import javax.persistence.Table

@Entity
@Table(name = "bundle_content")
data class BundleAudioContent(
    var isActive: Boolean = true
) : BaseEntity() {
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "parent_content_id", nullable = false)
    var parent: AudioContent? = null

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "child_content_id", nullable = false)
    var child: AudioContent? = null
}
