package kr.co.vividnext.sodalive.member

import kr.co.vividnext.sodalive.common.BaseEntity
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.ManyToOne

@Entity
data class SignOut(
    @Column(columnDefinition = "TEXT", nullable = false)
    val reason: String
) : BaseEntity() {
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "member_id", nullable = false)
    var member: Member? = null
        set(value) {
            value?.signOutReasons?.add(this)
            field = value
        }
}
